<?php

// load WordPress
require_once( '../../../../wp-load.php');

// initialize APaPi library
$api = $wpaa->getAPI();

$result = null;

switch( $_REQUEST['Action'] ) {
    case "ValidateAccess":
        $api->setAccessKey( $_REQUEST['AccessKey'] );
        $api->setSecretKey( $_REQUEST['SecretKey'] );
        $api->setLocale( $_REQUEST['Locale'] );
        $result = $api->lookupbyASIN( "0765325942" );
        break;
    case "ItemLookup":
        if( isset( $_REQUEST['Id'] ) ) {
            $type = "ASIN";
            if( isset( $_REQUEST['Type'] ) ) {
                $type = $_REQUEST['Type'];
            }
            if( isset( $_REQUEST['ResponseGroup'] ) ) {
                $result = $api->lookup( $_REQUEST['Id'], $type, $_REQUEST['ResponseGroup'] );
            } else {
                $result = $api->lookup( $_REQUEST['Id'], $type );
            }
        }
        break;
    case "ItemSearch":
        $responseGroup = AmazonProduct_ResponseGroup::MEDIUM;
        $searchIndex = AmazonProduct_SearchIndex::ALL;
        $criteria = array();
        foreach($_REQUEST as $key=>$val) {
            switch($key ) {
                case "ResponseGroup":
                    $responseGroup = $val;
                    break;
                case "SearchIndex":
                    $searchIndex = $val;
                    break;
                case "Action":
                case "callback":
                case "Random":
                    break;
                default:
                    $criteria[$key] = $val;
                    break;
            }
        }
        $result = $api->search( $criteria, $searchIndex, $responseGroup );
        break;
    case "SimilarityLookup":
        if( isset( $_REQUEST['Id'] ) ) {
            $type = AmazonProduct_SimilarityType::INTERSECTION;
            if( isset( $_REQUEST['Type'] ) ) {
                $type = $_REQUEST['Type'];
            }
            $responseGroup = AmazonProduct_ResponseGroup::MEDIUM;
            if( isset( $_REQUEST['ResponseGroup'] ) ) {
                $responseGroup = $_REQUEST['ResponseGroup'];
            }
            $result = $api->similarityLookup( $_REQUEST['Id'], $responseGroup, $type );
        }
        break;
}

// json format result
$json = "";
if( is_null( $result ) ) {
    $json = '{ "IsValid" : "False", "Message" : "Invalid Request" }';
} else {
    $json = $result->toJSON();
}

//get callback
if( isset($_REQUEST['callback']) ) {
    //return jsonp
    echo $_REQUEST['callback'] . '(' . $json . ')';
} else {
    // return json
    echo $json;
}